@echo off
echo.
echo.

REM **********************************READ THIS**************************************************
REM Set the following JDK_HOME_INIT variable to the home directory containing the jdk1.3 
REM You can download it at http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3
SET JDK_HOME_INIT=c:\Program Files\jdk1.3
REM *********************************************************************************************

SET JSB_HOME_INIT=.
SET TOMCAT_HOME=%JSB_HOME_INIT%\tomcat
SET CLASSPATH=%TOMCAT_HOME%\webapps\JSBrowser\WEB-INF\classes


if not "%CLASSPATH%" == "" goto testJdkHome
REM Here the variable have not been set because: not enough memory
echo *********************************************************
echo To launch directly this program,
echo you need to edit the properties of this file
echo Select 'memory'
echo In the initial environment, select '4096'
echo Then click on 'OK'
echo *********************************************************
echo.
goto end


:testJdkHome
if exist "%JDK_HOME_INIT%\bin\java.exe" goto okJdkHome
echo Unable to locate the java.exe program, check the value of JDK_HOME_INIT.
echo.
goto howToSetJdkHome

:howToSetJdkHome
echo You need to set the JDK_HOME_INIT variable in the InitJSBrowser.bat file
echo then relaunch InitJSBrowser.bat to initialize JSBrowser.
echo.
echo If you have not the jdk on your host, you can download it at:
echo http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3
goto end

:okJdkHome
echo.
echo Please wait...
"%JDK_HOME_INIT%\bin\java.exe" browse.InitJSBrowser "%JSB_HOME_INIT%\\config\\Browse.properties" "%JDK_HOME_INIT%"
echo Initialization done.
echo.
echo Now, you can start JSBrowser.
echo.
echo Do not forget to launch the "GenJavadoc" program in order
echo to be able to view the javadoc of the source files.
echo.

:end
echo.