@echo off
echo.
echo.

SET JDK_HOME=
SET JSB_HOME=
SET JSB_HOME_DBL=


SET TOMCAT_HOME=%JSB_HOME%\tomcat
SET JAVA_HOME=%JDK_HOME%
SET CLASSPATH=%JSB_HOME%\config;%TOMCAT_HOME%\webapps\JSBrowser\WEB-INF\classes

cd "%JSB_HOME%"

if not "%CLASSPATH%" == "" goto testJdkHome
REM Here the variable have not been set because: not enough memory
echo *********************************************************
echo To launch directly this program,
echo you need to edit the properties of this file
echo Select 'memory'
echo In the initial environment, select '4096'
echo Then click on 'OK'
echo *********************************************************
echo.
goto end

:testJdkHome

if "%JDK_HOME%" == "" goto howToSetJdkHome


"%JAVA_HOME%\bin\java.exe" browse.JSBrowserConfig "%JSB_HOME_DBL%\\config\\Browse.properties" "%JSB_HOME_DBL%\\GenJavadoc.bat" "%JSB_HOME_DBL%\\javadoc\\JavadocTemplate.bat"
echo.
echo Do not forget to launch the "GenJavadoc" program in order
echo to be able to view the javadoc of the source files.
echo.

goto end

:howToSetJdkHome
echo You need to set the JDK_HOME_INIT variable in the InitJSBrowser.bat file
echo then launch InitJSBrowser.bat to initialize JSBrowser.
echo.
echo If you have not the jdk on your host, you can download it at:
echo http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3
goto end


:end
echo.