#!/bin/sh

echo ""
echo ""


JDK_HOME=
JSB_HOME=


TOMCAT_HOME=${JSB_HOME}/tomcat
JAVA_HOME=${JDK_HOME}
CLASSPATH=${JSB_HOME}/config

cd "${JSB_HOME}"

export JAVA_HOME
export JDK_HOME
export TOMCAT_HOME
export CLASSPATH

howToSetJdkHome(){
	echo "You need to set the JDK_HOME_INIT variable in the InitJSBrowser.sh file"
	echo "then relaunch InitJSBrowser.sh to initialize JSBrowser."
	echo ""
	echo "If you have not the jdk on your host, you can download it at:"
	echo "http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3"
	echo ""
	exit 1	
}

invalidUser(){
	echo "You must be root to run this command."
	echo ""
	exit 1	
}


if [ "${JDK_HOME}" = "" ]
then 
	howToSetJdkHome
fi


uid=`id -u`
if [ "${uid}" != "0" ]
then
	invalidUser
fi


${TOMCAT_HOME}/bin/tomcat.sh stop
# sometimes tomcat is not stopped, then kill it
JSBROWSER=`ps -e | grep tomcat | grep JSBrowser | grep -v grep | awk '{ print $1 }'`
kill -9 $JSBROWSER > /dev/null 2>&1

exit 0



