#!/bin/sh
echo ""
echo ""


JDK_HOME=
JSB_HOME=


TOMCAT_HOME=${JSB_HOME}/tomcat
JAVA_HOME=${JDK_HOME}
CLASSPATH=${JSB_HOME}/config:${TOMCAT_HOME}/webapps/JSBrowser/WEB-INF/classes

cd "${JSB_HOME}"

export JAVA_HOME
export JDK_HOME
export TOMCAT_HOME
export CLASSPATH

howToSetJdkHome(){
	echo "You need to set the JDK_HOME_INIT variable in the InitJSBrowser.sh file"
	echo "then relaunch InitJSBrowser.sh to initialize JSBrowser."
	echo ""
	echo "If you have not the jdk on your host, you can download it at:"
	echo "http://java.sun.com/products, select Java 2 SDK, Standard Edition v1.3"
	echo ""
	exit 1	
}

invalidUser(){
	echo "You must be root to run this command."
	echo ""
	exit 1	
}


if [ "${JDK_HOME}" = "" ]
then
	howToSetJdkHome
fi


uid=`id -u`
if [ "${uid}" != "0" ]
then
	invalidUser
fi


${JAVA_HOME}/bin/java browse.JSBrowserConfig "${JSB_HOME}/config/Browse.properties" "${JSB_HOME}/GenJavadoc.sh" "${JSB_HOME}/javadoc/JavadocTemplate.sh"

chmod a+x ${JSB_HOME}/javadoc/*.sh

echo ""
echo "Do not forget to launch the \"GenJavadoc\" program in order"
echo "to be able to view the javadoc of the source files."
echo ""

exit 0
